DCMTK - Bug #375

Possibly incorrect output from "Responding AE Title"
2009-10-12 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: High Due date:

Assignee: Marco Eichelberg % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmnet Compiler:

Operating System:

Description

... noticed in external training session

The output of "Responding AE Title" may not be correct with some SCPs, e.g. unexpected value (configured AE Title of the
responding communication partner).

=== Supplement JR ===

Was that perhaps during a Query/Retrieve (C-MOVE)? | haven't been able to reproduce it...
=== Additional Supplement JR ===

It occurs e.g. in 'storescp’, when the SCU calls an AE Title other than 'STORESCP"'.

: BEGIN A-ASSOCIATE-AC
: Our Implementation Class UID:  1.2.276.0.7230010.3.0.3.6.0
: Our Implementation Version Name: OFFIS_DCMTK_360

I
I
I
I: Their Implementation Class UID: 1.2.276.0.7230010.3.0.3.6.0
I: Their Implementation Version Name: OFFIS_DCMTK_360
|
I
I
I

: Application Context Name: 1.2.840.10008.3.1.1.1
: Calling Application Name: STORESCU

: Called Application Name: TEST_AET

: Responding Application Name: STORESCP

This should be the correct output:
... | Responding Application Name: TEST_AET ...

Related issues:
Related to DCMTK - Bug #1048: Incorrect output of "Responding AE Title" in A... Closed 2022-11-25

History

#1 - 2013-04-23 10:18 - Andrew Chiw

Possibly incorrect output from "Responding AE Title"
Description

... noticed while training for Fa. black

The output of "Responding AE Title" may not be correct with some SCPs, e.g. unexpected value (configured AE Title of the responding
communication partner).

=== Supplement JR ===

Was that perhaps during a Query/Retrieve (C-MOVE)? | haven't been able to reproduce it...
=== Additional Supplement JR ===

It occurs e.g. in 'storescp’, when the SCU calls an AE Title other than 'STORESCP".

I: BEGIN A-ASSOCIATE-AC
I: Our Implementation Class UID: 1.2.276.0.7230010.3.0.3.6.0
: Our Implementation Version Name: OFFIS_DCMTK_360

: Their Implementation Class UID: 1.2.276.0.7230010.3.0.3.6.0

: Their Implementation Version Name: OFFIS_DCMTK_360

: Application Context Name: 1.2.840.10008.3.1.1.1

: Calling Application Name: STORESCU I: Called Application Name: TEST_AET
: Responding Application Name: STORESCP ...

This should be the correct output:
... |: Responding Application Name: TEST_AET ...

#2 - 2013-04-28 22:50 - Andrew Chiw

- Subject changed from Mébglicherweise falsche Ausgabe des "Responding AE Title" to Possibly incorrect output from "Responding AE Title"

#3 - 2015-08-27 11:29 - J6rg Riesmeier
- Category set to Library

- Target version set to 3.6.2

Also see this forum posting: http:/forum.dcmtk.org/viewtopic.php?f=1&t=4275&p=17098

#4 - 2016-11-24 13:44 - Marco Eichelberg

- Assignee set to Marco Eichelberg

#5 - 2017-03-02 15:27 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

This was only a "display problem". In the network module, the correct responding ae title was always set, based on the called ae title and not on the
field "responding ae title", which exists, but is ignored (apparently a left-over from the early days of implementation). Fixed the output correspondigly.

Closed by commit 29e9629.

#6 - 2022-11-25 14:20 - J6rg Riesmeier
- Related to Bug #1048: Incorrect output of "Responding AE Title" in A-ASSOCIATE Request added
